Skip to main content
GET
/
verification
/
{token}
Get verification task details
curl --request GET \
  --url https://wbl.monolisk.dev/verification/{token}
{
  "id": "<string>",
  "studentEmail": "[email protected]",
  "studentFirstname": "<string>",
  "studentLastname": "<string>",
  "status": 0,
  "submissions": [
    {
      "kind": "<string>",
      "hours": 123,
      "supervisor": "[email protected]",
      "dateRange": {
        "start": "2023-12-25",
        "end": "2023-12-25"
      },
      "date": "2023-12-25",
      "shortResponse": "<string>",
      "longResponse": "<string>",
      "wasInSchool": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.monolisk.dev/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

token
string
required

Verification task token

Response

Verification task details retrieved successfully

id
string
required
studentEmail
string<email>
required
studentFirstname
string
required
studentLastname
string
required
status
enum<integer>
required

0 = PENDING, 1 = VERIFIED, 2 = REJECTED

Available options:
0,
1,
2
submissions
object[]
required